com.ihr.xbrl.database.common

## Interface DatabaseManagerGUI

- All Known Implementing Classes:
    DatabaseManager

      public interface DatabaseManagerGUI

  This is the interface that must be implemented by classes that contains a DatabaseManagerGUI to edit the properties to connect to the XBRL Database.
  Author:
    Ignacio

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `DatabaseManagerGUI.DbStatus` The Enum DbStatus.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CANCEL` Value of the dialog status CANCEL.
    `static int` | `OK` Value of the dialog status OK.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DatabaseManagerGUI.DbStatus` | `getDatabaseStatus()` Gets the database status, OK indicates database connection was made and database structure has been validated.
    `java.util.Properties` | `getProperties()` Obtains the new Hibernate properties to connect to the XBRL Database.
    `int` | `getStatus()` Gets the dialog status constant.
    `void` | `setDbStatus(DatabaseManagerBase.DatabaseConfigurationInformationStatus status, boolean databaseAvailable)` Sets the current status of the connection to the database.
    `void` | `setLocation(int i, int j)` Sets the dialog location in the screen.
    `void` | `setProperties(java.util.Properties dbProperties)` Sets the Hibernate properties for the connection to the database.
    `void` | `setVisible()` Sets the dialog visible and waits for user input.
    `void` | `updateAllFields()` Called during a call to setProperties in order to update the GUI interface with the new data.

- - ### Field Detail

    - #### CANCEL

          static final int CANCEL

      Value of the dialog status CANCEL.
      See Also:
        Constant Field Values

    - #### OK

          static final int OK

      Value of the dialog status OK.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### setLocation

          void setLocation(int i,
                         int j)

      Sets the dialog location in the screen.
      Parameters:
        `i` - the i
        `j` - the j

    - #### setProperties

          void setProperties(java.util.Properties dbProperties)

      Sets the Hibernate properties for the connection to the database.
      Parameters:
        `dbProperties` - the new properties

    - #### setVisible

          void setVisible()

      Sets the dialog visible and waits for user input. The dialog MUST be modal

    - #### getStatus

          int getStatus()

      Gets the dialog status constant. OK or CANCEL. indicates the user pressed OK or pressed CANCEL buttons
      Returns:
        integer

    - #### getDatabaseStatus

          DatabaseManagerGUI.DbStatus getDatabaseStatus()

      Gets the database status, OK indicates database connection was made and database structure has been validated.
      Returns:
        integer

    - #### getProperties

          java.util.Properties getProperties()

      Obtains the new Hibernate properties to connect to the XBRL Database.
      Returns:
        Properties

    - #### updateAllFields

          void updateAllFields()

      Called during a call to setProperties in order to update the GUI interface with the new data.

    - #### setDbStatus

          void setDbStatus(DatabaseManagerBase.DatabaseConfigurationInformationStatus status,
                         boolean databaseAvailable)

      Sets the current status of the connection to the database. The GUI should use this information in order to decide how the information is presented to the user and what buttons are enabled and disabled
      Parameters:
        `status` - the status
        `databaseAvailable` - the database available